peak.can

## Class CANSendThread

- java.lang.Object
- - java.lang.Thread
  - - peak.can.CANSendThread

- All Implemented Interfaces:
    java.lang.Runnable

      public class CANSendThread
      extends java.lang.Thread

  The CANSendThread class extends Thread class and is used to send CAN Messages.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CANSendThread(PCANBasic pcanbasic, java.util.Vector<ChannelItem> connectedChannelCollection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `callAPIFunctionSend(TPCANHandle handle, boolean isCanFd)` Calls the PCANBasic Send Function
    `protected void` | `finalize()`
    `int` | `getSendInterval()`
    `void` | `run()` Starts thread process
    `void` | `setSendInterval(int interval)`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CANSendThread

          public CANSendThread(PCANBasic pcanbasic,
                               java.util.Vector<ChannelItem> connectedChannelCollection)

      Parameters:
        `can` - PCANBasic instance used to call read functions
        `channels` - Reference to the collection which stores all connected channels

  - ### Method Detail

    - #### getSendInterval

          public int getSendInterval()

    - #### setSendInterval

          public void setSendInterval(int interval)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

    - #### run

          public void run()

      Starts thread process
      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### callAPIFunctionSend

          public void callAPIFunctionSend(TPCANHandle handle,
                                          boolean isCanFd)

      Calls the PCANBasic Send Function
      Parameters:
        `handle` - The handle of a PCAN Channel
        `isCanFd` - Channel is initialized in CAN FD mode